Subject: Change output of debconf-set-selections to another file

From: Chris Hiestand <[email-masked]>
Date: Thu, 18 Mar 2010 13:55:50 -0700

Package: debconf
Version: 1.5.24
Severity: wishlist

It would be useful if we could take debconf-get-selections output, parse
it, and plug that into a debconf db file besides the system default.

For example, when administering many systems it is expedient to preload
debconf, and it is very useful to use the File, DirTree, or
PackageDir drivers in combination with the Stack meta-driver.

Preseeding would be made even easier if the workflow could look
something like this:
debconf-get-selections | grep -E '^mypackage' | debconf-set-selections
-f mycustomdb.dat

So it would be nice to see a command line option for
debconf-set-selections to customize destination output.

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debconf depends on:
ii  debconf-i18n             1.5.24          full internationalization support 
ii  perl-base                5.10.0-19lenny2 minimal Perl system

Versions of packages debconf recommends:
ii  apt-utils                0.7.20.2+lenny1 APT utility programs

Versions of packages debconf suggests:
ii  debconf-doc           1.5.24             debconf documentation
ii  debconf-utils         1.5.24             debconf utilities
ii  dialog                1.1-20080316-1     Displays user-friendly dialog boxe
ii  gnome-utils           2.20.0.1-3         GNOME desktop utilities
ii  libgnome2-perl        1.042-1+b1         Perl interface to the GNOME librar
pn  libnet-ldap-perl      <none>             (no description available)
pn  libqt-perl            <none>             (no description available)
pn  libterm-readline-gnu- <none>             (no description available)
ii  perl                  5.10.0-19lenny2    Larry Wall's Practical Extraction 
ii  whiptail              0.52.2-11.3+lenny1 Displays user-friendly dialog boxe

-- debconf-show failed